npm install express --save error

npm ERR! code E404
npm ERR! 404 Not Found - GET http://registry.npmjs.org/express
npm ERR! 404
npm ERR! 404 ‘express@latest’ is not in the npm registry.
npm ERR! 404 You should bug the author to publish it (or use the name yourself!)
npm ERR! 404
npm ERR! 404 Note that you can also install from a
npm ERR! 404 tarball, folder, http url, or git url.

npm ERR! A complete log of this run can be found in:

It works fine for me. Is it still broken for you now?
Can you install other packages?
(Wondering if you had a transient networking problem, or npmjs did.)

I can’t install other packages.

npm -g ls
D:\Users\p\AppData\Roaming\npm
`-- (empty)

can you help me please, i have this error in terminal :
/usr/local/bin/npm: line 2: syntax error near unexpected token ;' /usr/local/bin/npm: line 2:;(function () { // wrapper in case were in module_context mode’
Thank You

(@tom opened new issue: new version update)

@crow People have seen 404 for invalid login tokens or for accessing scoped modules when also using private registry. I suggest try logging out of npmjs (if you are logged in!).

npm logout

npm ERR! code ETIMEDOUT
npm ERR! errno ETIMEDOUT
npm ERR! network request to https://registry.npmjs.org/express failed, reason: connect ETIMEDOUT 10.153.1.88:80
npm ERR! network This is a problem related to network connectivity.
npm ERR! network In most cases you are behind a proxy or have bad network settings.
npm ERR! network
npm ERR! network If you are behind a proxy, please make sure that the
npm ERR! network ‘proxy’ config is set properly. See: ‘npm help config’
@shadowspawn

There is a troubleshooting guide here: Common proxy and networking problems

(I didn’t see 404 mentioned so had not suggested it sooner, but now you also have a network error.)

npm ERR! code ERR_OSSL_PEM_NO_START_LINE
npm ERR! errno ERR_OSSL_PEM_NO_START_LINE
npm ERR! request to https://registry.npmjs.org/express failed, reason: error:0909006C:PEM routines:get_name:no start line
@shadowspawn

I see you got a suggestion for latest error log on StackOverflow: https://stackoverflow.com/questions/57194920/i-cant-install-express-because-npm-install-express-error

Yes,i do. I search that many people helped .

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.